Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256686 - [perl-experimental] dev-util/libconf-0.42.10-r1 needs patch for perl-5.10.0
Summary: [perl-experimental] dev-util/libconf-0.42.10-r1 needs patch for perl-5.10.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dams (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: perl-5.10.1
  Show dependency tree
 
Reported: 2009-01-28 20:34 UTC by Martin Jansa
Modified: 2009-12-09 17:45 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libconf-0.42.10-perl510.patch (libconf-0.42.10-perl510.patch,486 bytes, patch)
2009-01-28 20:35 UTC, Martin Jansa
Details | Diff
Updated ebuild (libconf-0.42.10-r1.ebuild,1.58 KB, text/plain)
2009-05-31 18:37 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Jansa 2009-01-28 20:34:59 UTC
I cannot compile c bindings in perl-Libconf-0.42.10, because its calling              PERL_SYS_INIT3(&argc,&argv,&env); where params argc,argv,env aren't defined.

Mandriva has patch for perl-5.10.0, where those params are replaced with NULLs.

This patch works for me. I'll attach patch extracted from src.rpm found here
http://rpmfind.net/linux/RPM/mandriva/2009.0/i586/media/main/release/perl-Libconf-0.42.10-1mdv2009.0.i586.html

Reproducible: Always
Comment 1 Martin Jansa 2009-01-28 20:35:34 UTC
Created attachment 180010 [details, diff]
libconf-0.42.10-perl510.patch
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-01-30 01:08:49 UTC
@perl: You probably want to update [1] to reflect mcummings' retirement.

[1] http://www.gentoo.org/proj/en/overlays/layman-global.txt
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-05-31 18:37:47 UTC
Created attachment 193083 [details]
Updated ebuild
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2009-09-29 06:58:26 UTC
@dams: are you going to fix this?
Comment 5 dams (RETIRED) gentoo-dev 2009-09-29 07:39:46 UTC
Yup, am going to fix this asap. Thanks !
Comment 6 David Abbott gentoo-dev 2009-10-15 01:53:39 UTC
works here on perl-5.10.1 amd64 same patch and ebuild.
Comment 7 Torsten Veller (RETIRED) gentoo-dev 2009-11-11 20:49:41 UTC
(In reply to comment #5)
> Yup, am going to fix this asap. Thanks !

@dams: that was 6 weeks ago. I'd really appreciate if you'd get it done soon.
Comment 8 Tomáš Chvátal (RETIRED) gentoo-dev 2009-12-09 14:09:03 UTC
Fixed in main tree on behalf of QA team.
Comment 9 Neil Bothwick 2009-12-09 17:45:11 UTC
There's a typo in the ebuild, it contains

epatch "${FILESDIR}/${PV}-per5.10.patch"

when the patch file is called 0.42.10-perl5.10.patch